---
- name: Converge
  hosts: all
  tasks:
    - include_vars:
        file: vars.yml
        name: test
    - name: "Create user {{ test.linux_user }}"
      include_role:
        name: "provide_user"
      vars:
        linux_user: "{{ test.linux_user }}"
    - name: "Include basic_setup"
      include_role:
        name: "basic_setup"
      vars:
        linux_user: "{{ test.linux_user }}"
        git_full_name: "{{ test.git_full_name }}"
        git_email: "{{ test.git_email }}"
